%     Copyright (C) 2023 Jordi Llopis-Lorente. Contact: jorllolo@etsii.upv.es
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>

function [qnet_mean, qnet_beats] = getQnet(time,IsJs)
%%%% qnet_mean: q_net value across the beats saved
%%%% qnet_beats: vector containing the q_neat value for each of the beats
%%%% saved
%%%% time: time vector
%%%% IsJs: matrix containing the currents during the beats saved. It is
%%%% generated in the modelRunner_drugs
qnet_beats = zeros(size(IsJs,1),1);
for i = 1:size(IsJs,1)
    t=time{i,1};
    Inet = sum(IsJs{i,1}(:,[2,3,4,7,8,9]),2);
    qnet_total = cumtrapz(t/1000, Inet);
    qnet_beats(i)=qnet_total(end);
end
qnet_mean = mean(qnet_beats);
end