%     Copyright (C) 2023 Jordi Llopis-Lorente. Contact: jorllolo@etsii.upv.es
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>

function [time,X,IsJs] = runORdmD_sex(BCL, scaling_factors, drug_effect, gender, BeatsSaved, model)
beats=500; CL=BCL; phase=1;
load('X0.mat')
time = cell(BeatsSaved,1); 
X = cell(BeatsSaved,1);
IsJs= cell(BeatsSaved,1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
options=[];%options for ode solver
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
pos=1;
for n=1:beats
        if n <= beats-BeatsSaved
        [time_null, X_null]=ode15s(@ORdmD_sex,[0:0.1:CL],X0,options,1,scaling_factors, drug_effect,model,gender,phase);
        X0=X_null(end,:);
    elseif n > beats-BeatsSaved
        [time{pos,1}, X{pos,1}]=ode15s(@ORdmD_sex,[0:0.1:CL],X0,options,1,scaling_factors, drug_effect,model,gender,phase);
        X0=X{pos,1}(size(X{pos,1},1),:);
        pos=pos+1;
        end
end

for b=1:BeatsSaved
    for i=1:size(X{b},1)
        IsJs{b,1}(i,:) = ORdmJ(time{b}(i),X{b}(i,:),0,scaling_factors,drug_effect,model,gender,phase);
    end
end
end